# Minting allowlisted Badges

Call `take(address _from, string calldata _uri, bytes calldata _signature)` on the Badges [contract](https://github.com/otterspace-xyz/otterspace-contracts/blob/dev/src/Badges.sol#L86)

```tsx
import { Contract, Signer } from 'ethers'
import Badges from '@otterspace-xyz/contracts/out/Badges.sol/Badges.json' assert { type: 'json' }

const BADGES_CONTRACT_ADDRESS = '0x7F9279B24D1c36Fa3E517041fdb4E8788dc63D25'

const mintBadge = async (
    badgeReceiver: Signer,
		fromAddress: string,
    badgeSpecURI: string,
    compactSignature: string
): Promise<ContractCallResult> => {
    const contract = new Contract(BADGES_CONTRACT_ADDRESS, Badges.abi, badgeReceiver)
    const doTake = contract['take']
    return await doTake(fromAddress, badgeSpecURI, compactSignature)
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otterspace.xyz/documentation/contracts/minting-allowlisted-badges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
